package HoursTool::Config;

# Provides a config() method which returns global HoursTool configuration options

use strict;

use Config::Any;

sub config {
    my $class = shift;
    my $files = shift || 'certinet.conf';
    my %config = ();

    if ( ref($files) ne 'ARRAY' ) {
        $files = [$files];
    }

    my $cfg_any = Config::Any->load_files( { files => $files, use_ext => 1 } );
    
    for (@$cfg_any) {
        my ( $filename, $cfg_any_item ) = each %$_;
        @config{ keys(%$cfg_any_item) } = values(%$cfg_any_item);
    }

    $config{connect_array} = [
        $config{connect_info}->{dsn},
        $config{connect_info}->{user},
        $config{connect_info}->{password},
        $config{connect_info}->{conf},
    ];

    return \%config;
}

1;