package HoursTool::Schema::Result::Days;

use base 'HoursTool::Schema::SchemaBase';

__PACKAGE__->load_components(qw/ InflateColumn::Time::Simple /);
__PACKAGE__->table('days');

__PACKAGE__->add_columns(
    id => {
        data_type           => 'integer',
        is_nullable         => 0,
        is_auto_increment   => 1,
        default_value       => undef,
    },
    location_hour_id => {
        data_type           => 'integer',
        is_nullable         => 0,
    },
    dow => {
        data_type           => 'integer',  # 1-7, Monday - Sunday
        is_nullable         => 0,
    },
    open_time => {
        data_type           => 'time',
        is_nullable         => 1,
    },
    close_time => {
        data_type           => 'time',
        is_nullable         => 1,
    },
    closed_all_day => {
        data_type           => 'boolean',
        is_nullable         => 0,
        default_value       => 'true'
    },
);
__PACKAGE__->set_primary_key('id');

__PACKAGE__->belongs_to( 'location_hour' => 'HoursTool::Schema::Result::LocationHours', 'location_hour_id' );
__PACKAGE__->belongs_to( 'hours_for_day' => 'HoursTool::Schema::Result::HoursForDay', 'location_hour_id' );

sub to_json_hash {
    my $self = shift;

    # Build hashref to convert to JSON
    
    my %hash = $self->get_columns();

    return \%hash;
}

1;
