package HoursTool::Schema::Result::LocationHours;

use base 'HoursTool::Schema::SchemaBase';

__PACKAGE__->load_components(qw/  /);
__PACKAGE__->table('location_hours');
__PACKAGE__->mk_group_accessors('simple' => qw/days_cache/); # must use simple group

__PACKAGE__->add_columns(
    id => {
        data_type           => 'integer',
        is_nullable         => 0,
        is_auto_increment   => 1,
        default_value       => undef,
    },
    location_id => {
        data_type           => 'integer',
        is_nullable         => 0,
    },
    range_id => {
        data_type           => 'integer',
        is_nullable         => 0,
    },
    priority => {
        data_type           => 'integer',
        default_value       => 0,
    },
    active => {
        data_type           => 'boolean',
        default_value       => 't',
    },
);
__PACKAGE__->set_primary_key('id');

__PACKAGE__->belongs_to( 'location' => 'HoursTool::Schema::Result::Locations',  'location_id' );
__PACKAGE__->belongs_to( 'range'    => 'HoursTool::Schema::Result::Ranges',     'range_id' );

__PACKAGE__->has_many( 'days' => 'HoursTool::Schema::Result::Days', 'location_hour_id' );

sub to_json_hash {
    my $self = shift;

    # Build hashref to convert to JSON
    
    my %hash = $self->get_columns();

    return \%hash;
}

sub day {
    my ( $self, $dow ) = @_;

    if ( !defined($self->days_cache) ) {
        $self->days_cache( { map { $_->dow => $_ } $self->days->all } );
    }

    return $self->days_cache->{$dow};
}

sub update_dow {
    my ( $self, $dow, $record ) = @_;

    $self->days->find({ dow => $dow })->update($record);

    return $self;
}

1;
