package HoursTool::Schema::Result::Ranges;

use base 'HoursTool::Schema::SchemaBase';

__PACKAGE__->load_components(qw/ InflateColumn::DateTime /);
__PACKAGE__->table('ranges');

__PACKAGE__->add_columns(
    id => {
        data_type           => 'integer',
        is_nullable         => 0,
        is_auto_increment   => 1,
        default_value       => undef,
    },
    name => {
        data_type           => 'varchar',
        size                => 1024,
        is_nullable         => 0,
    },
    description => {
        data_type           => 'text',
        is_nullable         => 1,
    },
    start_date => {
        data_type           => 'date',
        is_nullable         => 0,
    },
    end_date => {
        data_type           => 'date',
        is_nullable         => 0,
    },
    active => {
        data_type           => 'boolean',
        is_nullable         => 0,
        default_value       => 'true'
    },
);
__PACKAGE__->set_primary_key('id');

__PACKAGE__->has_many( 'location_hours' => 'HoursTool::Schema::Result::LocationHours', 'range_id' );

sub to_json_hash {
    my $self = shift;

    # Build hashref to convert to JSON
    
    my %hash = $self->get_columns();

    return \%hash;
}

sub dows {
    my $self = shift;
    my $count = 0;
    my %dows;

    my $sd = $self->start_date->clone;
    my $ed = $self->end_date->clone;
    while ( $sd <= $ed && $count++ <= 8 ) {
        $dows{$sd->dow} = 1;
        $sd->add( days => 1 );
    }

    return \%dows;
}

1;
